package com.franckbarbier.test_asterix_obelix;

@javax.ejb.Singleton
@javax.ejb.Startup
public class Test {

    @javax.annotation.PostConstruct
    public void initialization() {
        javax.naming.Context jndi_context = null;
        try {
            jndi_context = new javax.naming.InitialContext();
            com.franckbarbier.asterix.Asterix a = (com.franckbarbier.asterix.Asterix) jndi_context.lookup("ejb/Asterix");
            a.strength();
        } catch (Throwable t) {
            t.printStackTrace();
            System.exit(1);
        } finally {
            if (jndi_context != null) {
                try {
                    jndi_context.close();
                } catch (javax.naming.NamingException ne) {
                    ne.printStackTrace();
                    System.exit(2);
                }
            }
        }
    }
}
